#!/bin/sh

describe="Installs i3"
scripts="@distro @self"

apply() {
    [ -d "$HOME/.config/i3" ] || mkdir -p $HOME/.config/i3
    [ -d "$HOME/.config/i3status" ] || mkdir -p $HOME/.config/i3status
    [ -e "$HOME/.config/i3/config" ] || ln files/config $HOME/.config/i3/config
    [ -e "$HOME/.config/i3status/config" ] || ln files/status_config $HOME/.config/i3status/config
    [ -e "$HOME/.config/picom.conf" ] || ln files/picom.conf $HOME/.config/picom.conf
}

undo() {
    rm $HOME/.config/i3/config
    rm $HOME/.config/i3status/config
}

super_apply() {
    [ -d "/etc/X11/xorg.conf.d" ] || mkdir -p /etc/X11/xorg.conf.d/
    cp files/40-proper-touchpad.conf /etc/X11/xorg.conf.d/40-proper-touchpad.conf
}

super_undo() {
    rm /etc/X11/xorg.conf.d/40-proper-touchpad.conf
}
